Name:		loongson-themes
Version:	1.0
Release:	5%{?dist}
Summary:	Loongson themes
Vendor:		Loongson

Group:		Loongson
License:	GPL
URL:		http://www.loongson.cn
Source0:	loongson-themes-1.0.tgz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	dconf
BuildArch:      noarch

Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

Requires:	fedora-icon-theme
Requires:	mate-icon-theme
#201705
Requires:	redhat-lsb
Requires:	yozo-office qt-creator docker chrome39

%description
龙芯主题

%prep
%setup -q


%build
dconf compile user src

%install
rm -rf $RPM_BUILD_ROOT

DCONF_DEST=$RPM_BUILD_ROOT/etc/skel/.config/dconf/
mkdir -p $DCONF_DEST
cp -a user $DCONF_DEST

#龙芯热线图标用户手册
DEST=$RPM_BUILD_ROOT/etc/skel/桌面
mkdir -p  $DEST
cp -a config/loongson-support.desktop $DEST
cp -a config/用户手册.pdf $DEST

#user setting
XDG_DEST=$RPM_BUILD_ROOT/etc/xdg/autostart
BIN_DEST=$RPM_BUILD_ROOT/usr/bin
mkdir -p $XDG_DEST
mkdir -p $BIN_DEST
cp -a config/loongnix-config.desktop $XDG_DEST
cp -a config/loongnix-config $BIN_DEST

#loongnix update service
SYSTEMD_DEST=$RPM_BUILD_ROOT/usr/lib/systemd/system
INITD_DEST=$RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $SYSTEMD_DEST
mkdir -p $INITD_DEST
cp -a config/LoongnixUpdate.service $SYSTEMD_DEST
cp -a config/loongnix-update $INITD_DEST

%clean
rm -rf $RPM_BUILD_ROOT

%post
systemctl enable LoongnixUpdate.service > /dev/null 2>&1 || :
if [ ! -e /etc/ssh/.Ksshd ]; then
    touch /etc/ssh/.Ksshd
    systemctl --no-reload disable sshd.service > /dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ]; then
    systemctl --no-reload disable LoongnixUpdate.service > /dev/null 2>&1 || :
fi

%postun
%systemd_postun

%files
%defattr(-,root,root,-)
/etc/rc.d/init.d/loongnix-update
/etc/skel/*
/etc/skel/.config/dconf/user
/etc/xdg/autostart/loongnix-config.desktop
/usr/bin/loongnix-config
/usr/lib/systemd/system/LoongnixUpdate.service

%changelog
* Wed May 17 2017 Ray Wang <wanglei@loongson.cn> - 1.0-5
- disable network notification message
- add update setting scripts
- disable sshd.service
- Add Requires: docker qt-creator redhat-lsb chrome39 yozo-office

* Tue Apr 18 2017 Jin Guojie <jinguojie@loongson.cn> :1.0-4
- 窗口管理器：禁用软件混成窗口管理器（消除1080P视频播放的异常横线问题）

* Sat Mar 4 2017 Jin Guojie <jinguojie@loongson.cn> :1.0-3
- 桌面增加龙芯热线图标

* Tue Feb 14 2017 Jin Guojie <jinguojie@loongson.cn> :1.0-2
- 右下角增加：软件自动更新的提示器
- 窗口管理器：启用软件混成窗口管理器

* Wed Aug 10 2016 Jin Guojie <jinguojie@loongson.cn> :1.0-1
- 龙芯主题
  窗口风格：保持使用BlueMenta
  只留底部一个面板
  去除“工作区选择器”
  图标：改为“薄雾”（依赖包fedora-icon-theme）
  背景：使用内置的“Arc”
  Alt-tab切换窗口时禁用缩略图
